Bug 1253826 (CVE-2015-5199) - CVE-2015-5199 libvdpau directory traversal in dlopen
Summary: CVE-2015-5199 libvdpau directory traversal in dlopen
Keywords:
Status: NEW
Alias: CVE-2015-5199
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20150831,repor...
Depends On: 1253829 1258644
Blocks: 1215757 1253830
TreeView+ depends on / blocked
 
Reported: 2015-08-14 19:46 UTC by Florian Weimer
Modified: 2019-06-08 20:42 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Florian Weimer 2015-08-14 19:46:40 UTC
It was discovered that libvdpau does not guard against directory traversal while processing the VDPAU_DRIVER environment variable.  This may allow local attackers gain additional privileges.

Acknowledgements:

This issue was discovered by Florian Weimer of Red Hat Product Security.

Comment 2 Florian Weimer 2015-08-31 21:55:32 UTC
External references:

http://lists.x.org/archives/xorg-announce/2015-August/002630.html

Comment 3 Florian Weimer 2015-08-31 21:57:14 UTC
Created libvdpau tracking bugs for this issue:

Affects: fedora-all [bug 1258644]

Comment 4 Fedora Update System 2015-09-04 19:45:52 UTC
libvdpau-1.1.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2015-09-24 08:26:47 UTC
libvdpau-1.1.1-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2015-11-01 22:19:51 UTC
libvdpau-1.1.1-2.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.